import { data } from '@/views/demo/excel/data';

export const tableList: any[] = [
  {
    businessId: 1,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_1',
    dataSource: 'mysql_1',
    catalog: '-',
    database: 'employees',
    dataTable: 'departments',
    fields: 'department_name',
    qualityTemplate: '非空检查',
    ruleGroup: 'bingtest',
    qualityPassRate: '100',
  },
  {
    businessId: 2,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_2',
    dataSource: 'Trino-test',
    catalog: 'jmx',
    database: 'information_data',
    dataTable: 'applicable_roles_table',
    fields: 'grantee_type',
    qualityTemplate: '主键唯一',
    ruleGroup: 'bingtest',
    qualityPassRate: '100',
  },
  {
    businessId: 3,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_2',
    dataSource: 'Trino-test',
    catalog: 'jmx',
    database: 'information_data',
    dataTable: 'applicable_roles_table',
    fields: 'grantee_type',
    qualityTemplate: '主键唯一',
    ruleGroup: 'Trinotest',
    qualityPassRate: '100',
  },
  {
    businessId: 4,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_2',
    dataSource: 'Trino-test',
    catalog: 'jmx',
    database: 'information_data',
    dataTable: 'applicable_roles_table',
    fields: 'grantee_type',
    qualityTemplate: '主键唯一',
    ruleGroup: 'Trinotest',
    qualityPassRate: '100',
  },
];

export const TreeDataList = [
  // {
  //   label: '主体管理',
  //   businessId: 1,
  //   children: [
  //     {
  //       label: 'admin_个人工作区',
  //       businessId: 2,
  //       children: [
  //         { label: '个人工作区1', businessId: 6 },
  //         { label: '个人工作区2', businessId: 7 },
  //       ],
  //     },
  //     { label: '共享工作区', businessId: 3 },
  //     { label: '商城工作区', businessId: 4 },
  //     { label: '指标工作区', businessId: 5 },
  //   ],
  // },
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    workSpaceName: 'SHELL文件',
    parentId: 0,
    code: '001',
    ancestors: '0',
    orderNum: 0,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SHELL文件',
    anotherName: 'SHELL文件',
    location: '/SHELL文件',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    workSpaceName: 'admin-个人工作区',
    parentId: 100,
    code: '002',
    ancestors: '0,100',
    orderNum: 1,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'admin-个人工作区',
    anotherName: 'admin-个人工作区',
    location: '/SHELL文件/admin-个人工作区',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    workSpaceName: '共享工作区',
    parentId: 100,
    code: '003',
    ancestors: '0,100',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '共享工作区',
    anotherName: '共享工作区',
    location: '/SHELL文件/共享工作区',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 103,
    workSpaceName: '高级工作区',
    parentId: 100,
    code: '010',
    ancestors: '0,100,107',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '高级工作区',
    anotherName: '高级工作区',
    location: '/SHELL文件/高级工作区',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 201,
    workSpaceName: '文件夹1',
    parentId: 101,
    code: '002',
    ancestors: '0,100',
    orderNum: 1,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '文件夹1',
    anotherName: '文件夹1',
    location: '/SHELL文件/admin-个人工作区/文件夹1',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    workSpaceName: '文件夹2',
    parentId: 102,
    code: '003',
    ancestors: '0,100',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '文件夹2',
    anotherName: '文件夹2',
    location: '/SHELL文件/共享工作区/文件夹2',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 203,
    workSpaceName: '文件夹3',
    parentId: 103,
    code: '010',
    ancestors: '0,100,107',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: '文件夹3',
    anotherName: '文件夹3',
    location: '/SHELL文件/高级工作区/文件夹3',
    icon: 'ant-design:folder-open-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 301,
    workSpaceName: 'SQL1',
    parentId: 201,
    code: '002',
    ancestors: '0,100',
    orderNum: 1,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SQL1',
    anotherName: 'SQL1',
    location: '/SHELL文件/admin-个人工作区/文件夹1/SQL1',
    icon: 'ant-design:partition-outlined',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 302,
    workSpaceName: 'SQL1',
    parentId: 202,
    code: '003',
    ancestors: '0,100',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SQL1',
    anotherName: 'SQL1',
    location: '/SHELL文件/共享工作区/文件夹2/SQL1',
    icon: 'ant-design:partition-outlined',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 303,
    workSpaceName: 'SQL1',
    parentId: 203,
    code: '010',
    ancestors: '0,100,107',
    orderNum: 2,
    selectType: null,
    createTime: '2024-10-24 10:04:04',
    updateTime: '2024-10-24 10:04:04',
    createBy: 'admin',
    QualityName: 'SQL1',
    anotherName: 'SQL1',
    location: '/SHELL文件/高级工作区/文件夹3/SQL1',
    icon: 'ant-design:partition-outlined',
  },
];
export const treeDataListTwo = [
  {
    label: '主体管理',
    businessId: 1,
    children: [
      {
        label: 'admin_个人工作区',
        businessId: 2,
        children: [
          { label: '个人工作区1', businessId: 6 },
          { label: '个人工作区2', businessId: 7 },
        ],
      },
      { label: '共享工作区', businessId: 3 },
      { label: '商城工作区', businessId: 4 },
      { label: '指标工作区', businessId: 5 },
    ],
  },
];
