import { data } from '@/views/demo/excel/data';

export const tableList: any[] = [
  {
    businessId: 1,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_1',
    dataSource: 'mysql_1',
    catalog: '-',
    database: 'employees',
    dataTable: 'departments',
    fields: 'department_name',
    qualityTemplate: '非空检查',
    ruleGroup: 'bingtest',
    qualityPassRate: '100',
  },
  {
    businessId: 2,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_2',
    dataSource: 'Trino-test',
    catalog: 'jmx',
    database: 'information_data',
    dataTable: 'applicable_roles_table',
    fields: 'grantee_type',
    qualityTemplate: '主键唯一',
    ruleGroup: 'bingtest',
    qualityPassRate: '100',
  },
  {
    businessId: 3,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_2',
    dataSource: 'Trino-test',
    catalog: 'jmx',
    database: 'information_data',
    dataTable: 'applicable_roles_table',
    fields: 'grantee_type',
    qualityTemplate: '主键唯一',
    ruleGroup: 'Trinotest',
    qualityPassRate: '100',
  },
  {
    businessId: 4,
    name: '指标导入',
    des: '--------',
    from: '指标汇总表',
    creator: 'admin',
    createDate: '2024-10-25 10:04:05',
    updateDate: '2024-10-25 10:04:05',
    qualityRule: 'grantee_type_2',
    dataSource: 'Trino-test',
    catalog: 'jmx',
    database: 'information_data',
    dataTable: 'applicable_roles_table',
    fields: 'grantee_type',
    qualityTemplate: '主键唯一',
    ruleGroup: 'Trinotest',
    qualityPassRate: '100',
  },
];

export const treeDataList = [
  {
    label: '主体管理',
    businessId: 1,
    children: [
      {
        label: 'admin_个人工作区',
        businessId: 2,
        children: [
          { label: '个人工作区1', businessId: 6 },
          { label: '个人工作区2', businessId: 7 },
        ],
      },
      { label: '共享工作区', businessId: 3 },
      { label: '商城工作区', businessId: 4 },
      { label: '指标工作区', businessId: 5 },
    ],
  },
];
export const treeDataListTwo = [
  {
    label: '主体管理',
    businessId: 1,
    children: [
      {
        label: 'admin_个人工作区',
        businessId: 2,
        children: [
          { label: '个人工作区1', businessId: 6 },
          { label: '个人工作区2', businessId: 7 },
        ],
      },
      { label: '共享工作区', businessId: 3 },
      { label: '商城工作区', businessId: 4 },
      { label: '指标工作区', businessId: 5 },
    ],
  },
];
